%define videodir  /srv/vdr
%define audiodir  /srv/audio
%define plugindir %{_libdir}/vdr
%define configdir %{_sysconfdir}/vdr
%define localedir %{_libdir}/vdr/locale
%define datadir   %{_datadir}/vdr
%define cachedir  %{_var}/cache/vdr
%define rundir    %{_var}/run/vdr
%define vardir    %{_var}/lib/vdr
%define logdir    %{_var}/log/vdr
%define vdr_user  vdr
%define vdr_group video
# From APIVERSION in config.h
%define apiver    1.6.0

# TODO, maybe some day:
# - livebuffer patch, http://www.vdr-portal.de/board/thread.php?threadid=37309
# - channelfilter patch, http://www.u32.de/vdr.html#patches
# - UTF-8 patch

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           vdr
Version:        1.6.0
Release:        2
Summary:        Video Disk Recorder

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.cadsoft.de/vdr/
Source0:        ftp://ftp.cadsoft.de/vdr/%{name}-%{version}.tar.bz2
Source1:        %{name}.init
Source2:        %{name}.sysconfig
Source4:        %{name}-udev.rules
Source5:        %{name}-reccmds.conf
Source6:        %{name}-commands.conf
Source7:        %{name}-runvdr.sh
Source8:        %{name}.consoleperms
Source9:        %{name}-config.sh
Source10:       %{name}-README.package
Source11:       %{name}-skincurses.conf
Source12:       %{name}-sky.conf
Source13:       %{name}-timercmds.conf
Source14:       %{name}-shutdown.sh
Patch0:         %{name}-channel+epg.patch
Patch1:         http://zap.tartarus.org/~ds/debian/dists/unstable/main/source/vdr_1.5.13-1devel1.diff.gz
Patch2:         http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-1.5.13-liemikuutio-1.17.diff
Patch3:         %{name}-1.4.1-paths.patch
#Patch4:         %{name}-1.4.1-dumpable.patch
Patch5:         ftp://ftp.cadsoft.de/vdr/Developer/vdr-1.4.5-1.diff
Patch6:		vdr-1.3.43-extrecmenu.diff
Patch7:		vdr-wareagle-icons+setup-1.3.36.diff
Patch8:		wareagle-int2.diff
#Patch9:		cuttime-vdr-1.4.0.diff
#Patch10:	vdr-1.4.2-CutterBandwidthLimit.patch
#Patch11:	vdr-1.4.2-CutterQueue_and_CutterAutoDelete.patch
Patch12:	vdr-1.4.5-show_valid_input.diff
Patch20:	vdr-%{version}_extensions.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel
BuildRequires:  libcap-devel
BuildRequires:  pkg-config
BuildRequires:  perl(File::Spec) fontconfig-devel
Requires:       udev
Requires(pre):  %{_sbindir}/groupadd
Requires(pre):  %{_sbindir}/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Provides:       vdr(abi) = %{apiver}

%description
VDR implements a complete digital set-top-box and video recorder.
It can work with signals received from satellites (DVB-S) as well as
cable (DVB-C) and terrestrial (DVB-T) signals.  At least one DVB card
is required to run VDR.

%package        devel
Summary:        Development files for VDR
Group:          Development/Libraries
Requires:       pkg-config
Provides:       vdr-devel(api) = %{apiver}

%description    devel
%{summary}.

%package        skincurses
Summary:        Shell window skin plugin for VDR
Group:          Applications/Multimedia
%if 0%{?_with_plugins:1}
BuildRequires:  ncurses-devel
%endif
Requires:       vdr(abi) = %{apiver}

%description    skincurses
The skincurses plugin implements a VDR skin that works in a shell
window, using only plain text output.

%package        sky
Summary:        Sky Digibox plugin for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description    sky
The sky plugin implements a new device for VDR, which is based on the
MPEG2 encoder card described at linuxtv.org/mpeg2/kfir.xml.  It allows
you to connect the analog a/v output of your Sky Digibox to VDR, so
that you can enjoy the full recording flexibility of VDR with your Sky
subscription.  You will need a Sky Digibox and a valid subscription in
order to use this plugin.


%prep
%setup -q
%patch20 -p1
#%patch0 -p1
#%patch1 -p1
#patch -i debian/patches/12_osdbase-maxitems.dpatch
#%patch2 -p1
%patch3 -p1
#%patch4 -p1
#%patch6 -p0
#%patch12 -p1

# Fix up paths
sed -i -e 's|\b\(ConfigDirectory = \)DEFAULTCONFDIR;|\1"%{configdir}";|' vdr.c
sed -i \
  -e 's|__CACHEDIR__|%{cachedir}|'   \
  -e 's|__CONFIGDIR__|%{configdir}|' \
  -e 's|__PLUGINDIR__|%{plugindir}|' \
  -e 's|__VIDEODIR__|%{videodir}|'   \
  epg2html.pl vdr.1 vdr.c PLUGINS/src/sky/README

# Fix up man page section
sed -i -e 's/\bvdr\(\s*\)(1)/vdr\1(8)/' HISTORY UPDATE-1.2.0 vdr.5
sed -i -e 's/\bvdr\([\. ]\)1\b/vdr\18/' HISTORY vdr.1

for f in CONTRIBUTORS HISTORY* UPDATE-1.4.0 ; do
  iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f && mv $f.utf8 $f
done

sed -i -e 's/epg2html.pl/epg2html/' CONTRIBUTORS HISTORY epg2html.pl
sed -i -e 's/svdrpsend.pl/svdrpsend/' HISTORY
sed -i -e 's/getskyepg.pl/getskyepg/' \
  PLUGINS/src/sky/{getskyepg.pl,README,HISTORY}

cp -p %{SOURCE5} reccmds.conf
cp -p %{SOURCE13} timercmds.conf
sed -e 's|/srv/audio|%{audiodir}|' %{SOURCE6} > commands.conf
# Unfortunately these can't have comments in them, so ship 'em empty.
cat /dev/null > channels.conf
cat /dev/null > remote.conf
cat /dev/null > setup.conf
cat /dev/null > timers.conf

install -pm 644 %{SOURCE10} README.package

# Would like to do "files {channels,setup,timers}.conf" from config dir
# only, but rename() in cSafeFile barks "device or resource busy", cf.
# http://lists.suse.com/archive/suse-programming-e/2003-Mar/0051.html
cat << EOF > %{name}.rwtab
dirs	%{cachedir}
files	%{configdir}
files	%{vardir}
EOF

%build

# Intentionally not using %{version} or %{apiver} here, see %check
vdrver=$(sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$/\1/p' config.h)
apiver=$(sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$/\1/p' config.h)

cat << EOF > vdr.pc
videodir=%{videodir}
audiodir=%{audiodir}
plugindir=%{plugindir}
configdir=%{configdir}
localedir=%{localedir}
datadir=%{datadir}
cachedir=%{cachedir}
rundir=%{rundir}
vardir=%{vardir}
logdir=%{logdir}
user=%{vdr_user}
group=%{vdr_group}
apiversion=$apiver

Name: VDR
Description: Video Disk Recorder
Version: $vdrver
EOF

cat << EOF > Make.config
CC           = %{__cc}
CXX          = %{__cxx}

ifeq (\$(RPM_OPT_FLAGS),)
  CFLAGS     = $RPM_OPT_FLAGS
  CXXFLAGS   = $RPM_OPT_FLAGS -Wall -Woverloaded-virtual
else
  CFLAGS     = \$(RPM_OPT_FLAGS)
  CXXFLAGS   = \$(RPM_OPT_FLAGS) -Wall -Woverloaded-virtual
endif
ifdef PLUGIN
  CFLAGS    += -fPIC
  CXXFLAGS  += -fPIC
endif

PLUGINLIBDIR = \$(DESTDIR)\$(shell pkg-config vdr --variable=plugindir)
VIDEODIR     = \$(DESTDIR)\$(shell pkg-config vdr --variable=videodir)
LIBDIR       = \$(PLUGINLIBDIR)
CONFDIR	     = \$(DESTDIR)\$(shell pkg-config vdr --variable=configdir)
LOCDIR	     = \$(DESTDIR)\$(shell pkg-config vdr --variable=localedir)

VDR_USER     = %{vdr_user}

### VDR-Extensions:
# Comment the patches you don't need
# DVDCHAPJUMP needs DVDARCHIVE enabled
# DVDARCHIVE needs LIEMIKUUTIO enabled
# SORTRECORDS needs LIEMIKUUTIO enabled
# you can only enable one of MENUORG SUBMENU SETUP

#CHANNELSCAN = 1
CMDSUBMENU = 1
CUTTERLIMIT = 1
CUTTERQUEUE = 1
CUTTIME = 1
#DELTIMESHIFTREC = 1
DDEPGENTRY = 1
DOLBYINREC = 1
#DVBPLAYER = 1
#DVBSETUP = 1
#DVDARCHIVE = 1
#DVDCHAPJUMP = 1
#DVLFRIENDLYFNAMES = 1
#DVLRECSCRIPTADDON = 1
#DVLVIDPREFER = 1
#GRAPHTFT = 1
HARDLINKCUTTER = 1
#IPTV = 1
JUMPPLAY = 1
LIEMIKUUTIO = 1
#LIRCSETTINGS = 1
#LIVEBUFFER = 1
#LNBSHARE = 1
MAINMENUHOOKS = 1
#MENUORG = 1
#NOEPG = 1
OSDMAXITEMS = 1
#PINPLUGIN = 1
#PLUGINAPI = 1
PLUGINMISSING = 1
#PREMIEREEPGFIX = 1
#ROTOR = 1
#ETTIME = 1
#SETUP = 1
#SOURCECAPS = 1
SORTRECORDS = 1
#SUBMENU = 1
SYNCEARLY = 1
TIMERCMD = 1
#TIMERINFO = 1
#TTXTSUBS = 1
VALIDINPUT = 1
#VOLCTRL = 1
WAREAGLEICON = 1
#YAEPG = 1

### You don't need to touch the following:

ifdef DVBDIR
INCLUDES += -I$(DVBDIR)/include
endif

ifdef CHANNELSCAN
DEFINES += -DUSE_CHANNELSCAN
endif

ifdef CMDSUBMENU
DEFINES += -DUSE_CMDSUBMENU
endif

ifdef CUTTERLIMIT
DEFINES += -DUSE_CUTTERLIMIT
endif

ifdef CUTTERQUEUE
DEFINES += -DUSE_CUTTERQUEUE
endif

ifdef CUTTIME
DEFINES += -DUSE_CUTTIME
endif

ifdef DELTIMESHIFTREC
DEFINES += -DUSE_DELTIMESHIFTREC
endif

ifdef DDEPGENTRY
DEFINES += -DUSE_DDEPGENTRY
endif

ifdef DOLBYINREC
DEFINES += -DUSE_DOLBYINREC
endif

ifdef DVBPLAYER
DEFINES += -DUSE_DVBPLAYER
endif

ifdef DVBSETUP
DEFINES += -DUSE_DVBSETUP
endif

ifdef DVDARCHIVE
ifdef LIEMIKUUTIO
DEFINES += -DUSE_DVDARCHIVE
endif
endif

ifdef DVLRECSCRIPTADDON
DEFINES += -DUSE_DVLRECSCRIPTADDON
endif

ifdef DVLVIDPREFER
DEFINES += -DUSE_DVLVIDPREFER
endif

ifdef DVLFRIENDLYFNAMES
DEFINES += -DUSE_DVLFRIENDLYFNAMES
endif

ifdef GRAPHTFT
DEFINES += -DUSE_GRAPHTFT
endif

ifdef HARDLINKCUTTER
DEFINES += -DUSE_HARDLINKCUTTER
endif

ifdef IPTV
DEFINES += -DUSE_IPTV
endif

ifdef JUMPPLAY
DEFINES += -DUSE_JUMPPLAY
endif

ifdef LIEMIKUUTIO
DEFINES += -DUSE_LIEMIKUUTIO
endif

ifdef LIRCSETTINGS
DEFINES += -DUSE_LIRCSETTINGS
endif

ifdef LIVEBUFFER
DEFINES += -DUSE_LIVEBUFFER
endif

ifdef LNBSHARE
DEFINES += -DUSE_LNBSHARE
endif

ifdef MAINMENUHOOKS
DEFINES += -DUSE_MAINMENUHOOKS
endif

ifdef MENUORG
DEFINES += -DUSE_MENUORG
else
ifdef SETUP
DEFINES += -DUSE_SETUP
else
ifdef SUBMENU
DEFINES += -DUSE_SUBMENU
endif
endif
endif

ifdef NOEPG
DEFINES += -DUSE_NOEPG
endif

ifdef OSDMAXITEMS
DEFINES += -DUSE_OSDMAXITEMS
endif

ifdef PINPLUGIN
DEFINES += -DUSE_PINPLUGIN
endif

ifdef PLUGINMISSING
DEFINES += -DUSE_PLUGINMISSING
endif

ifdef PREMIEREEPGFIX
DEFINES += -DUSE_PREMIEREEPGFIX
endif

ifdef ROTOR
DEFINES += -DUSE_ROTOR
endif

ifdef SETTIME
DEFINES += -DUSE_SETTIME
endif

ifdef SOURCECAPS
DEFINES += -DUSE_SOURCECAPS
endif

ifdef SORTRECORDS
ifdef LIEMIKUUTIO
DEFINES += -DUSE_SORTRECORDS
endif
endif

ifdef SYNCEARLY
DEFINES += -DUSE_SYNCEARLY
endif

ifdef TIMERCMD
DEFINES += -DUSE_TIMERCMD
endif

ifdef TIMERINFO
DEFINES += -DUSE_TIMERINFO
endif

ifdef TTXTSUBS
DEFINES += -DUSE_TTXTSUBS
endif

ifdef VALIDINPUT
DEFINES += -DUSE_VALIDINPUT
endif

ifdef VOLCTRL
DEFINES += -DUSE_VOLCTRL
endif

ifdef WAREAGLEICON
DEFINES += -DUSE_WAREAGLEICON
endif

ifdef YAEPG
DEFINES += -DUSE_YAEPG
endif

EOF

export PKG_CONFIG_PATH=$(pwd)
make %{?_smp_mflags} all include-dir
%if 0%{?_with_plugins:1}
make %{?_smp_mflags} -C PLUGINS/src/skincurses LIBDIR=. all
make %{?_smp_mflags} -C PLUGINS/src/sky        LIBDIR=. all
%endif


%install
rm -rf $RPM_BUILD_ROOT
abs2rel() { perl -MFile::Spec -e 'print File::Spec->abs2rel(@ARGV)' "$@" ; }

install -Dpm 755 vdr $RPM_BUILD_ROOT%{_sbindir}/vdr

install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 svdrpsend.pl $RPM_BUILD_ROOT%{_bindir}/svdrpsend
install -pm 755 epg2html.pl $RPM_BUILD_ROOT%{_bindir}/epg2html

install -Dpm 644 vdr.1 $RPM_BUILD_ROOT%{_mandir}/man8/vdr.8
install -Dpm 644 vdr.5 $RPM_BUILD_ROOT%{_mandir}/man5/vdr.5

install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins
install -pm 644 *.conf $RPM_BUILD_ROOT%{configdir}

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d

install -dm 755 $RPM_BUILD_ROOT%{configdir}/themes
touch $RPM_BUILD_ROOT%{configdir}/themes/{classic,sttng}-default.theme

install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/vdr
sed -i \
  -e 's|/usr/sbin/|%{_sbindir}/|'  \
  -e 's|/etc/vdr/|%{configdir}/|g' \
  -e 's|/var/lib/vdr/|%{vardir}/|' \
  -e 's|VDR_USER|%{vdr_user}|'     \
  -e 's|VDR_GROUP|%{vdr_group}|'   \
  $RPM_BUILD_ROOT%{_initrddir}/vdr

install -pm 755 %{SOURCE7} $RPM_BUILD_ROOT%{_sbindir}/runvdr
sed -i \
  -e 's|/usr/sbin/|%{_sbindir}/|'                    \
  -e 's|/etc/sysconfig/|%{_sysconfdir}/sysconfig/|g' \
  -e 's|/usr/lib/vdr\b|%{plugindir}|'                \
  -e 's|VDR_PLUGIN_VERSION|%{apiver}|'               \
  $RPM_BUILD_ROOT%{_sbindir}/runvdr

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
sed -e 's|/usr/lib/vdr/|%{plugindir}/|' < %{SOURCE2} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr

install -dm 755 $RPM_BUILD_ROOT%{videodir}
install -dm 755 $RPM_BUILD_ROOT%{audiodir}

install -dm 755 $RPM_BUILD_ROOT%{plugindir}/bin
sed -e 's|/var/lib/vdr/|%{vardir}/|' < %{SOURCE14} \
  > $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-shutdown.sh
chmod 755 $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-shutdown.sh
install -dm 755 $RPM_BUILD_ROOT%{cachedir}
touch $RPM_BUILD_ROOT%{cachedir}/epg.data
install -dm 755 $RPM_BUILD_ROOT%{datadir}/logos
install -dm 755 $RPM_BUILD_ROOT%{rundir}
install -dm 755 $RPM_BUILD_ROOT%{vardir}
touch $RPM_BUILD_ROOT%{vardir}/acpi-wakeup
install -dm 755 $RPM_BUILD_ROOT%{logdir}

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
sed -e 's/VDR_GROUP/%{vdr_group}/' < %{SOURCE4} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/51-%{name}.rules
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/*-%{name}.rules

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d
sed -e 's/VDR_GROUP/%{vdr_group}/' < %{SOURCE8} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/95-%{name}.perms
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/*%{name}.perms

install -Dpm 644 %{name}.rwtab $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/%{name}

# devel
install -Dpm 644 vdr.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/vdr.pc
install -pm 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/vdr-config
install -pm 755 newplugin $RPM_BUILD_ROOT%{_bindir}/vdr-newplugin
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/vdr/include/vdr
install -pm 644 Make.config $RPM_BUILD_ROOT%{_libdir}/vdr
install -pm 644 Makefile $RPM_BUILD_ROOT%{_libdir}/vdr
install -dm 755 $RPM_BUILD_ROOT%{_includedir}/{vdr,libsi}
cp -pLR include/* $RPM_BUILD_ROOT%{_includedir}/
ln -s $(abs2rel %{_includedir}/vdr/config.h %{_libdir}/vdr) \
  $RPM_BUILD_ROOT%{_libdir}/vdr
ln -s $(abs2rel %{_includedir}/vdr/i18n.h %{_libdir}/vdr) \
  $RPM_BUILD_ROOT%{_libdir}/vdr
# copy i18n.c into BUILD_ROOT for more compatibility with plugins
cp i18n.c $RPM_BUILD_ROOT%_libdir/vdr
# copy osdbase.h into /usr/lib/vdr/include dir for more compatibility with plugins
# cp osdbase.h $RPM_BUILD_ROOT%_libdir/vdr/include

#make DESTDIR=$RPM_BUILD_ROOT install-conf install-i18n
install -d -m 755 $RPM_BUILD_ROOT%_libdir/vdr/locale
cp -r --parents locale/* $RPM_BUILD_ROOT%_libdir/vdr

# plugins
%if 0%{?_with_plugins:1}
install -pm 755 PLUGINS/src/skincurses/libvdr-skincurses.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE11} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/skincurses.conf
install -pm 755 PLUGINS/src/sky/libvdr-sky.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE12} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/sky.conf
install -pm 755 PLUGINS/src/sky/getskyepg.pl \
  $RPM_BUILD_ROOT%{_bindir}/getskyepg
install -Dpm 644 PLUGINS/src/sky/channels.conf.sky \
  $RPM_BUILD_ROOT%{configdir}/plugins/sky/channels.conf.sky
%endif

%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_libdir}/pkgconfig
if [ "$(pkg-config vdr --variable=apiversion)" != "%{apiver}" ] ; then
    echo "ERROR: API version mismatch in vdr.pc / package / config.h" ; exit 1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%{_sbindir}/groupadd video 2>/dev/null || :
%{_sbindir}/useradd -c "Video Disk Recorder" -d %{videodir} \
  -g %{vdr_group} -s /sbin/nologin %{vdr_user} 2>/dev/null || :

%post
/sbin/chkconfig --add vdr

%preun
if [ $1 -eq 0 ] ; then
    %{_initrddir}/vdr stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del vdr
fi

%postun
[ $1 -gt 0 ] && %{_initrddir}/vdr try-restart >/dev/null || :


%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING HISTORY* INSTALL MANUAL README* UPDATE-1.[24].0
%config(noreplace) %{_sysconfdir}/sysconfig/vdr
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*-%{name}.perms
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%config %{_sysconfdir}/sysconfig/vdr-plugins.d/
%{_initrddir}/vdr
%{_bindir}/epg2html
%{_bindir}/svdrpsend
%{_sbindir}/runvdr
%{_sbindir}/vdr
%dir %{plugindir}/
%dir %{plugindir}/bin/
%{plugindir}/bin/%{name}-shutdown.sh
%{datadir}/
%{_mandir}/man[58]/vdr.[58]*
%defattr(-,%{vdr_user},%{vdr_group},-)
%dir %{rundir}/
# TODO: tighten this (root:root ownership to some files/dirs)?
%dir %{configdir}/
%dir %{configdir}/plugins/
%dir %{configdir}/themes/
%ghost %{configdir}/themes/*.theme
%config(noreplace) %{configdir}/*.conf
%dir %{videodir}/
%dir %{audiodir}/
%defattr(-,%{vdr_user},root,-)
%dir %{logdir}/
%dir %{vardir}/
%ghost %{vardir}/acpi-wakeup
%dir %{cachedir}/
%ghost %{cachedir}/epg.data
%_libdir/vdr/locale/

%files devel
%defattr(-,root,root,-)
%doc COPYING PLUGINS.html
%{_bindir}/vdr-config
%{_bindir}/vdr-newplugin
%{_includedir}/libsi/
%{_includedir}/vdr/
%{_libdir}/pkgconfig/vdr.pc
%dir %{_libdir}/vdr/
%{_libdir}/vdr/Make.config
%{_libdir}/vdr/Makefile
%{_libdir}/vdr/config.h
%{_libdir}/vdr/i18n.h
%{_libdir}/vdr/i18n.c

%if 0%{?_with_plugins:1}
%files skincurses
%defattr(-,root,root,-)
%doc PLUGINS/src/skincurses/COPYING PLUGINS/src/skincurses/HISTORY
%doc PLUGINS/src/skincurses/README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/skincurses.conf
%{plugindir}/libvdr-skincurses.so.%{apiver}

%files sky
%defattr(-,root,root,-)
%doc PLUGINS/src/sky/COPYING PLUGINS/src/sky/HISTORY
%doc PLUGINS/src/sky/README PLUGINS/src/sky/lircd.conf.sky
%{_bindir}/getskyepg
%config(noreplace) %{configdir}/plugins/sky/channels.conf.sky
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/sky.conf
%{plugindir}/libvdr-sky.so.%{apiver}
%endif

%changelog
* Tue Jul 15 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.0-2
- rebuild against libcap
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.6.0-1
- Version Update
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 1.5.18-1
- Version Update, removed dumpable patch
* Mon Jan 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.13-9
- disable LIVEBUFFER and PLUGINAPI
* Mon Jan 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.13-8
- added VDR Extension Patch again
* Sun Jan 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.5.13-7
- modified init-script for i18n support, cleaning up specfile
* Thu Jan 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.5.13-6
- added i18n.c to devel package (required by plugins)
* Thu Jan 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.5.13-5
- rebuild with fontconfig 2.5.0
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.13-4
- added Makefile to devel package
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.13-3
- added locales
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.13-2
- fixed configdir
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.13-1
- Version update
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 1.4.7-1
- Version update
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-15
- disabled autodeletion after cut in patch, added show valid input patch
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-14
- added cuttime, cutterbandwidthlimit and cutterqueue patches
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-13
- added extrecmenu and wareagle patch
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-12
- removed extensions patch
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-11
- re enabled PIN and Subtitles Plugin
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-10
- disabled PIN Plugin
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-9
- Extension Patch Update to V16
* Fri Feb 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-8
- updated extension patch
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-7
- readded repacker patch
* Wed Jan 24 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-6
- extensions patch update
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-5
- readded switch timer patch
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-4
- diabled switch timer patch
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-3
- updated extensions patch
* Tue Jan 09 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-2
- disabled setup patch
* Tue Jan 09 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.5-1
- Version update
* Sun Oct 15 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.3-2
- modified scriplets
* Sun Oct 15 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.3-1
- Initial release
